X3D_TEMPLATE = """

  <x3d>
  <Scene>
    <Background skyColor='1 1 1'></Background>
    <NavigationInfo headLight='true' type='"EXAMINE"' ></NavigationInfo>
     <Viewpoint description='Oblique view' orientation ="1 0 0 0.614" position='0 -600 800'></Viewpoint>
    <DirectionalLight id="directional" direction='0 1 0' on ="TRUE" intensity='3.0' shadowIntensity='0.0'>
    </DirectionalLight>
     <Transform >
    <Shape>
        <Appearance><Material diffuseColor="0.6 0.6 0.6"></Material></Appearance>
            <Plane solid="false" size="500 500"></Plane>
        </Shape>
    </Transform>
    <Transform id={uid}>
        {shape}
    </Transform>
  </Scene>
</x3d>
<script type="text/javascript">
    require(["https://www.x3dom.org/download/dev/x3dom.js"], function(x3dom) {{
        var x3dom_css = document.getElementById("x3dom-css");
        if (x3dom_css === null) {{
            var l = document.createElement("link");
            l.setAttribute("rel", "stylesheet");
            l.setAttribute("type", "text/css");
            l.setAttribute("href", require.toUrl("https://www.x3dom.org/download/dev/x3dom.css"));
            l.setAttribute("id", "x3dom-css");
            $("head").append(l);
        }}
        if (typeof x3dom != 'undefined') {{
            x3dom.reload();
        }}
        else if (typeof window.x3dom != 'undefined') {{
            window.x3dom.reload();
        }}
    }})
    </script>


"""
